Summary: A utility for converting ELF binaries to a.out binaries
Name: elftoaout
Version: 2.3
Release: 23%{?dist}
License: GPLv2+
Group: System Environment/Kernel
URL: http://www.sparc-boot.org/elftoaout
Source: http://www.sparc-boot.org/elftoaout/elftoaout-2.3.tgz
Patch0: elftoaout-include.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The elftoaout utility converts a static ELF binary to a static a.out
binary.  If you're using an ELF system (i.e., Fedora) on a SPARC, you'll
need to run elftoaout on the kernel image so that the SPARC PROM can
netboot the image.

If you're installing Fedora on a SPARC, you'll need to install the elftoaout
package.

%prep
%setup -q
%patch0 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 elftoaout $RPM_BUILD_ROOT%{_bindir}/elftoaout

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 0644 elftoaout.1 $RPM_BUILD_ROOT/%{_mandir}/man1/elftoaout.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/elftoaout
%{_mandir}/man1/elftoaout.*

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 15 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.3-13
- fix elftoaout to use optflags

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.3-11
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Dennis Gilmore <dennis@ausil.us> 2.3-10
- build on all arches

* Thu Aug 16 2007 Dennis Gilmore <dennis@ausil.us> 2.3-9
- clarify license its GPLv2+
- clean up from comments 

* Thu Aug 16 2007 Dennis Gilmore <dennis@ausil.us>
- fix macro usage and buildroot

* Mon Dec 18 2006 Tom "spot" Callaway <tcallawa@edhat.com>
- rebuild time

* Sun May 15 2005 Tom "spot" Callaway <tcallawa@redhat.com>
- revert all changes

* Thu May  5 2005 Tom "spot" Callaway <tcallawa@redhat.com>
- fix bogus read error

* Wed Jan 26 2005 Tom "spot" Callaway <tcallawa@redhat.com>
- Rebuilt

* Fri Apr  2 2004 Tom "spot" Callaway <tcallawa@redhat.com>
- rebuilt

* Mon Apr 22 2002 Jakub Jelinek <jakub@redhat.com>
- use proper includes

* Fri Nov 16 2001 Jakub Jelinek <jakub@redhat.com>
- rebuilt for 7.x

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- use %%{_mandir}

* Sat Jun  3 2000 Jakub Jelinek <jakub@redhat.com>
- 2.3 - -c support by Pete Zaitcev

* Tue Feb 22 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- rebuild for Raw Hide.

* Fri Jul 10 1998 Jeff Johnson <jbj@redhat.com>
- repackage ultrapenguin with build root.
